commoble.exmachina.plugins

## Class CircuitBehaviourRegistry

- java.lang.Object
- - commoble.exmachina.plugins.CircuitBehaviourRegistry

All Implemented Interfaces:
  commoble.exmachina.api.PluginRegistrator

    public class CircuitBehaviourRegistry
    extends java.lang.Object
    implements commoble.exmachina.api.PluginRegistrator

### Field Summary

Fields
`java.util.Map<net.minecraft.util.ResourceLocation,commoble.exmachina.api.JsonObjectReader<commoble.exmachina.api.ConnectorFactory>>` `connectionTypes`
`java.util.Map<net.minecraft.util.ResourceLocation,commoble.exmachina.api.JsonObjectReader<commoble.exmachina.api.DynamicPropertyFactory>>` `dynamicProperties`
`java.util.Map<net.minecraft.util.ResourceLocation,commoble.exmachina.api.JsonObjectReader<commoble.exmachina.api.StaticPropertyFactory>>` `staticProperties`

### Constructor Summary

Constructors
Constructor and Description
`CircuitBehaviourRegistry()`

### Method Summary

All Methods Instance Methods Concrete Methods
`java.util.function.Supplier<java.util.Map<net.minecraft.block.Block,? extends commoble.exmachina.api.CircuitComponent>>` `getComponentDataGetter()`
`void` `registerConnectionType(net.minecraft.util.ResourceLocation identifier, commoble.exmachina.api.JsonObjectReader<commoble.exmachina.api.ConnectorFactory> connectionType)`
`void` `registerDynamicCircuitElementProperty(net.minecraft.util.ResourceLocation identifier, commoble.exmachina.api.JsonObjectReader<commoble.exmachina.api.DynamicPropertyFactory> propertyReader)`
`void` `registerStaticCircuitElementProperty(net.minecraft.util.ResourceLocation identifier, commoble.exmachina.api.JsonObjectReader<commoble.exmachina.api.StaticPropertyFactory> propertyReader)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### connectionTypes

    public final java.util.Map<net.minecraft.util.ResourceLocation,commoble.exmachina.api.JsonObjectReader<commoble.exmachina.api.ConnectorFactory>> connectionTypes

#### staticProperties

    public final java.util.Map<net.minecraft.util.ResourceLocation,commoble.exmachina.api.JsonObjectReader<commoble.exmachina.api.StaticPropertyFactory>> staticProperties

#### dynamicProperties

    public final java.util.Map<net.minecraft.util.ResourceLocation,commoble.exmachina.api.JsonObjectReader<commoble.exmachina.api.DynamicPropertyFactory>> dynamicProperties

### Constructor Detail

#### CircuitBehaviourRegistry

    public CircuitBehaviourRegistry()

### Method Detail

#### registerConnectionType

    public void registerConnectionType(net.minecraft.util.ResourceLocation identifier,
                                       commoble.exmachina.api.JsonObjectReader<commoble.exmachina.api.ConnectorFactory> connectionType)

Specified by:
  `registerConnectionType` in interface `commoble.exmachina.api.PluginRegistrator`

#### registerStaticCircuitElementProperty

    public void registerStaticCircuitElementProperty(net.minecraft.util.ResourceLocation identifier,
                                                     commoble.exmachina.api.JsonObjectReader<commoble.exmachina.api.StaticPropertyFactory> propertyReader)

Specified by:
  `registerStaticCircuitElementProperty` in interface `commoble.exmachina.api.PluginRegistrator`

#### registerDynamicCircuitElementProperty

    public void registerDynamicCircuitElementProperty(net.minecraft.util.ResourceLocation identifier,
                                                      commoble.exmachina.api.JsonObjectReader<commoble.exmachina.api.DynamicPropertyFactory> propertyReader)

Specified by:
  `registerDynamicCircuitElementProperty` in interface `commoble.exmachina.api.PluginRegistrator`

#### getComponentDataGetter

    public java.util.function.Supplier<java.util.Map<net.minecraft.block.Block,? extends commoble.exmachina.api.CircuitComponent>> getComponentDataGetter()

Specified by:
  `getComponentDataGetter` in interface `commoble.exmachina.api.PluginRegistrator`